# get-pkgs [![NPM version](https://badge.fury.io/js/get-pkgs.svg)](http://badge.fury.io/js/get-pkgs)  [![Build Status](https://travis-ci.org/jonschlinkert/get-pkgs.svg)](https://travis-ci.org/jonschlinkert/get-pkgs) 

> Get the package.json for an array of repos from the npm registry, optionally filtering properties using glob patterns.

## Install with [npm](npmjs.org)

```bash
npm i get-pkgs --save
```

## Usage

```js
var get = require('get-pkgs');

// filter out properties like `_shasum`
get(['assemble', 'verb'], '!_*', function(err, pkgs) {
  console.log(pkgs);
});
```

## Related projects

* [filter-object](https://github.com/jonschlinkert/filter-object): Return a copy of an object, filtered to have only keys that match the given… [more](https://github.com/jonschlinkert/filter-object)
* [helper-related](https://github.com/helpers/helper-related): Template helper for generating a list of links to the homepages of related GitHub/npm projects.
* [helper-reflinks](https://github.com/helpers/helper-reflinks): Template helper for generating a list of markdown formatted reference links to github repos for… [more](https://github.com/helpers/helper-reflinks)

## Running tests

Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/get-pkgs/issues)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright (c) 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 26, 2015._

<!-- reflinks generated by verb-reflinks plugin -->

[assemble]: http://assemble.io
[template]: https://github.com/jonschlinkert/template
[verb]: https://github.com/assemble/verb